# Uses of Interface
org.eclipse.core.resources.IFile

Packages that use IFile
Package
Description
org.eclipse.compare.internal
org.eclipse.core.filebuffers
Provides the API for accessing file buffers.
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.resources.mapping
Provides APIs for integrating application models with the workspace
org.eclipse.core.resources.team
Provides APIs intended to be implemented by the Team component.
org.eclipse.core.resources.undo.snapshot
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.sourcelookup.containers
Provides implementations of common source containers supporting source lookup.
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.
org.eclipse.search.core.text
Classes giving access to the file (text) search functionality.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.team.core.history.provider
Application programming interfaces for describing the history associated with files.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.core.synchronize
Application programming interfaces for managing synchronization state.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.

## Uses of IFile in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return IFile
Modifier and Type
Method
Description
`static IFile[]`
Utilities.`getFiles(ISelection selection)`
Methods in org.eclipse.compare.internal with parameters of type IFile
Modifier and Type
Method
Description
`boolean`
AddFromHistoryDialog.`select(IContainer root, IFile[] inputFiles)`

## Uses of IFile in org.eclipse.core.filebuffers

Methods in org.eclipse.core.filebuffers that return IFile
Modifier and Type
Method
Description
`static IFile`
FileBuffers.`getWorkspaceFileAtLocation(IPath location)`
Returns the workspace file at the given location if such a file exists.
`static IFile`
FileBuffers.`getWorkspaceFileAtLocation(IPath location, boolean isNormalized)`
Returns the workspace file at the given location if such a file exists.

## Uses of IFile in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IFile
Modifier and Type
Method
Description
`IFile[]`
IContainer.`findDeletedMembersWithHistory(int depth, IProgressMonitor monitor)`
Returns a list of recently deleted files inside this container that have one or more saved states in the local history.
`IFile[]`
IWorkspaceRoot.`findFilesForLocation(IPath location)`
Deprecated.
use `IWorkspaceRoot.findFilesForLocationURI(URI)` instead
`IFile[]`
IWorkspaceRoot.`findFilesForLocationURI(URI location)`
Returns the handles of all files that are mapped to the given URI.
`IFile[]`
IWorkspaceRoot.`findFilesForLocationURI(URI location, int memberFlags)`
Returns the handles of all files that are mapped to the given URI.
`IFile`
IContainer.`getFile(IPath path)`
Returns a handle to the file identified by the given path in this container.
`IFile`
IFolder.`getFile(String name)`
Returns a handle to the file with the given name in this folder.
`IFile`
IProject.`getFile(String name)`
Returns a handle to the file with the given name in this project.
`IFile`
IWorkspaceRoot.`getFileForLocation(IPath location)`
Returns a handle to the file which is mapped to the given path in the local file system, or `null` if none.
Methods in org.eclipse.core.resources with parameters of type IFile
Modifier and Type
Method
Description
`IStatus`
IFileModificationValidator.`validateEdit(IFile[] files, Object context)`
Deprecated.
Validates that the given files can be modified.
`IStatus`
IWorkspace.`validateEdit(IFile[] files, Object context)`
Advises that the caller intends to modify the contents of the given files in the near future and asks whether modifying all these files would be reasonable.
`IStatus`
IFileModificationValidator.`validateSave(IFile file)`
Deprecated.
Validates that the given file can be saved.
Method parameters in org.eclipse.core.resources with type arguments of type IFile
Modifier and Type
Method
Description
`default void`
IWorkspace.`write(Map<IFile,byte[]> contentMap, boolean force, boolean derived, boolean keepHistory, IProgressMonitor monitor, ExecutorService executorService)`
Creates the files and sets/replaces the files content.

## Uses of IFile in org.eclipse.core.resources.mapping

Methods in org.eclipse.core.resources.mapping with parameters of type IFile
Modifier and Type
Method
Description
`void`
IResourceChangeDescriptionFactory.`change(IFile file)`
Record a delta that represents a content change for the given file.
`abstract IStorage`
RemoteResourceMappingContext.`fetchBaseContents(IFile file, IProgressMonitor monitor)`
For three-way comparisons, returns an instance of IStorage in order to allow the caller to access the contents of the base resource that corresponds to the given local resource.
`abstract IStorage`
RemoteResourceMappingContext.`fetchRemoteContents(IFile file, IProgressMonitor monitor)`
Returns an instance of IStorage in order to allow the caller to access the contents of the remote that corresponds to the given local resource.

## Uses of IFile in org.eclipse.core.resources.team

Methods in org.eclipse.core.resources.team with parameters of type IFile
Modifier and Type
Method
Description
`void`
IResourceTree.`addToLocalHistory(IFile file)`
Adds the current state of the given file to the local history.
`long`
IResourceTree.`computeTimestamp(IFile file)`
Computes the timestamp for the given file in the local file system.
`void`
IResourceTree.`deletedFile(IFile file)`
Declares that the given file has been successfully deleted from the local file system, and requests that the corresponding deletion should now be made to the workspace resource tree.
`boolean`
IMoveDeleteHook.`deleteFile(IResourceTree tree, IFile file, int updateFlags, IProgressMonitor monitor)`
Implements `IResource.delete(int,IProgressMonitor)` where the receiver is a file.
`long`
IResourceTree.`getTimestamp(IFile file)`
Returns the timestamp for the given file as recorded in the workspace resource tree.
`void`
IResourceTree.`movedFile(IFile source, IFile destination)`
Declares that the given source file has been successfully moved to the given destination in the local file system, and requests that the corresponding changes should now be made to the workspace resource tree.
`boolean`
IMoveDeleteHook.`moveFile(IResourceTree tree, IFile source, IFile destination, int updateFlags, IProgressMonitor monitor)`
Implements `IResource.move(IPath,int,IProgressMonitor)` where the receiver is a file.
`void`
IResourceTree.`standardDeleteFile(IFile file, int updateFlags, IProgressMonitor monitor)`
Deletes the given file in the standard manner from both the local file system and from the workspace resource tree.
`void`
IResourceTree.`standardMoveFile(IFile source, IFile destination, int updateFlags, IProgressMonitor monitor)`
Moves the given file in the standard manner from both the local file system and from the workspace resource tree.
`void`
IResourceTree.`updateMovedFileTimestamp(IFile file, long timestamp)`
Updates the timestamp for the given file in the workspace resource tree.
`IStatus`
TeamHook.`validateCreateLink(IFile file, int updateFlags, URI location)`
Validates whether a particular attempt at link creation is allowed.
`IStatus`
TeamHook.`validateCreateLink(IFile file, int updateFlags, IPath location)`
Validates whether a particular attempt at link creation is allowed.
`final IStatus`
FileModificationValidator.`validateEdit(IFile[] files, Object context)`
Deprecated.
this method is part of the deprecated `IFileModificationValidator` interface.
`abstract IStatus`
FileModificationValidator.`validateEdit(IFile[] files, FileModificationValidationContext context)`
Validates that the given files can be modified.
`IStatus`
FileModificationValidator.`validateSave(IFile file)`
Validates that the given file can be saved.

## Uses of IFile in org.eclipse.core.resources.undo.snapshot

Methods in org.eclipse.core.resources.undo.snapshot that return types with arguments of type IFile
Modifier and Type
Method
Description
`static IResourceSnapshot<IFile>`
ResourceSnapshotFactory.`fromFileDetails(IFile file, URI linkLocation, InputStream contents)`
Create a file snapshot from the specified file handle.
Methods in org.eclipse.core.resources.undo.snapshot with parameters of type IFile
Modifier and Type
Method
Description
`static IResourceSnapshot<IFile>`
ResourceSnapshotFactory.`fromFileDetails(IFile file, URI linkLocation, InputStream contents)`
Create a file snapshot from the specified file handle.

## Uses of IFile in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return IFile
Modifier and Type
Method
Description
`IFile`
ILaunchConfiguration.`getFile()`
Returns the file this launch configuration is stored in, or `null` if this configuration is stored locally with the workspace.
Methods in org.eclipse.debug.core with parameters of type IFile
Modifier and Type
Method
Description
`ILaunchConfiguration`
ILaunchManager.`getLaunchConfiguration(IFile file)`
Returns a handle to the launch configuration contained in the specified file.

## Uses of IFile in org.eclipse.debug.core.sourcelookup.containers

Methods in org.eclipse.debug.core.sourcelookup.containers that return IFile
Modifier and Type
Method
Description
`IFile`
ArchiveSourceContainer.`getFile()`
Returns the associated file in the workspace.
Constructors in org.eclipse.debug.core.sourcelookup.containers with parameters of type IFile
Modifier
Constructor
Description
``
`ArchiveSourceContainer(IFile archive, boolean detectRootPath)`
Creates an archive source container on the given file.

## Uses of IFile in org.eclipse.debug.ui.console

Constructors in org.eclipse.debug.ui.console with parameters of type IFile
Modifier
Constructor
Description
``
`FileLink(IFile file, String editorId, int fileOffset, int fileLength, int fileLineNumber)`
Constructs a hyperlink to the specified file.

## Uses of IFile in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return IFile
Modifier and Type
Method
Description
`IFile`
FileStatusContext.`getFile()`
Returns the context's file.
`IFile`
TextFileChange.`getFile()`
Returns the `IFile` this change is working on.
Constructors in org.eclipse.ltk.core.refactoring with parameters of type IFile
Modifier
Constructor
Description
``
`FileStatusContext(IFile file, IRegion region)`
Creates an status entry context for the given file and source region.
``
`MultiStateTextFileChange(String name, IFile file)`
Creates a new composite text file change.
``
`TextFileChange(String name, IFile file)`
Creates a new `TextFileChange` for the given file.
`protected`
`UndoTextFileChange(String name, IFile file, UndoEdit undo, ContentStamp stamp, int saveMode)`
Create a new undo text file change object.

## Uses of IFile in org.eclipse.ltk.core.refactoring.participants

Methods in org.eclipse.ltk.core.refactoring.participants with parameters of type IFile
Modifier and Type
Method
Description
`void`
ValidateEditChecker.`addFile(IFile file)`
Adds the given file to this checker.
`void`
ValidateEditChecker.`addFiles(IFile[] files)`
Adds the given array of files.
`static RefactoringStatus`
ResourceChangeChecker.`checkFilesToBeChanged(IFile[] files, IProgressMonitor monitor)`
A helper method to check a set of changed files.

## Uses of IFile in org.eclipse.search.core.text

Methods in org.eclipse.search.core.text that return IFile
Modifier and Type
Method
Description
`IFile[]`
TextSearchScope.`evaluateFilesInScope(MultiStatus status)`
Evaluates all files in this scope.
`abstract IFile`
TextSearchMatchAccess.`getFile()`
Returns the file the match was found in.
Methods in org.eclipse.search.core.text with parameters of type IFile
Modifier and Type
Method
Description
`boolean`
TextSearchRequestor.`acceptFile(IFile file)`
Notification sent before search starts in the given file.
`void`
TextSearchRequestor.`flushMatches(IFile file)`
Notification that the matches of the given file should be flushed.
`boolean`
TextSearchRequestor.`reportBinaryFile(IFile file)`
Notification sent that a file might contain binary context.
`abstract IStatus`
TextSearchEngine.`search(IFile[] scope, TextSearchRequestor requestor, Pattern searchPattern, IProgressMonitor monitor)`
Uses a given search pattern to find matches in the content of workspace file resources.

## Uses of IFile in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return IFile
Modifier and Type
Method
Description
`IFile`
IFileMatchAdapter.`getFile(Object element)`
Returns the file associated with the given element (usually the file the element is contained in).
Methods in org.eclipse.search.ui.text with parameters of type IFile
Modifier and Type
Method
Description
`Match[]`
IFileMatchAdapter.`computeContainedMatches(AbstractTextSearchResult result, IFile file)`
Returns an array with all matches contained in the given file in the given search result.
`protected final IEditorPart`
AbstractTextSearchViewPage.`open(IWorkbenchPage page, IFile file, boolean activate)`
Opens an editor on the given file resource.
`protected final IEditorPart`
AbstractTextSearchViewPage.`openAndSelect(IWorkbenchPage page, IFile file, int offset, int length, boolean activate)`
Opens an editor on the given file resource and tries to select the given offset and length.

## Uses of IFile in org.eclipse.team.core

Methods in org.eclipse.team.core with parameters of type IFile
Modifier and Type
Method
Description
`static boolean`
Team.`isIgnored(IFile file)`
Deprecated.
use isIgnoredHint instead
`static boolean`
Team.`isIgnoredHint(IFile file)`
Deprecated.
use isIgnoredHint(IResource) instead

## Uses of IFile in org.eclipse.team.core.history.provider

Methods in org.eclipse.team.core.history.provider with parameters of type IFile
Modifier and Type
Method
Description
`static IFileRevision`
FileRevision.`getFileRevisionFor(IFile file)`
Deprecated.
This method doesn't do anything useful so it has been deprecated.

## Uses of IFile in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping that return IFile
Modifier and Type
Method
Description
`IFile[]`
IMergeStatus.`getConflictingFiles()`
Returns the set of file for which an auto-merge was not performed.
Methods in org.eclipse.team.core.mapping with parameters of type IFile
Modifier and Type
Method
Description
`void`
IChangeGroupingRequestor.`ensureChangesGrouped(IProject project, IFile[] files, String nameHint)`
Issue a request to group the provided files together when the changes are committed or checked-in to the repository.
`protected void`
ChangeTracker.`ensureGrouped(IProject project, String name, IFile[] files)`
Group the given modified file into a change set with the given name.
`protected boolean`
ChangeTracker.`isModified(IFile file)`
Return whether the given file is modified with respect to the repository provider associated with the file's project.
`boolean`
IChangeGroupingRequestor.`isModified(IFile file)`
Return whether the given file is modified with respect to the repository.

## Uses of IFile in org.eclipse.team.core.mapping.provider

Methods in org.eclipse.team.core.mapping.provider that return IFile
Modifier and Type
Method
Description
`IFile[]`
MergeStatus.`getConflictingFiles()`
Constructors in org.eclipse.team.core.mapping.provider with parameters of type IFile
Modifier
Constructor
Description
``
`MergeStatus(String pluginId, String message, IFile[] files)`
Create a merge status for reporting that some of the files for which a merge was attempted were not auto-mergable.

## Uses of IFile in org.eclipse.team.core.subscribers

Methods in org.eclipse.team.core.subscribers with parameters of type IFile
Modifier and Type
Method
Description
`boolean`
SubscriberResourceMappingContext.`contentDiffers(IFile file, IProgressMonitor monitor)`
`final IStorage`
SubscriberResourceMappingContext.`fetchBaseContents(IFile file, IProgressMonitor monitor)`
`final IStorage`
SubscriberResourceMappingContext.`fetchRemoteContents(IFile file, IProgressMonitor monitor)`

## Uses of IFile in org.eclipse.team.core.synchronize

Methods in org.eclipse.team.core.synchronize with parameters of type IFile
Modifier and Type
Method
Description
`boolean`
SyncInfoFilter.ContentComparisonSyncInfoFilter.`compareContents(IFile local, IResourceVariant remote, IProgressMonitor monitor)`
Compare the contents of the local file and its variant.

## Uses of IFile in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history that return IFile
Modifier and Type
Method
Description
`protected abstract IFile`
ElementLocalHistoryPageSource.`getFile(Object element)`
Return the file that contains the given element of `null` if this page source can not show history for the given element.
`final IFile`
ElementLocalHistoryPageSource.`internalGetFile(Object element)`
Return the file that contains the given element of `null` if this page source can not show history for the given element.
Methods in org.eclipse.team.ui.history with parameters of type IFile
Modifier and Type
Method
Description
`static ITypedElement`
ElementLocalHistoryPageSource.`getPreviousEdition(IFile file, Object element)`
Return the previous edition from the local history of the given element located in the given file.
`static AbstractDecoratedTextEditor`
RevisionAnnotationController.`openEditor(IWorkbenchPage page, IFile file)`
Open a text editor that supports the use of a revision ruler on the given file.
Constructors in org.eclipse.team.ui.history with parameters of type IFile
Modifier
Constructor
Description
``
`RevisionAnnotationController(IWorkbenchPage page, IFile file, ISelectionProvider historyList)`
Create a controller that links an editor on a local file to a history list.

## Uses of IFile in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type IFile
Modifier and Type
Method
Description
`static ITypedElement`
SaveableCompareEditorInput.`createFileElement(IFile file)`
Returns a typed element that represents a local file.

## Uses of IFile in org.eclipse.ui

Methods in org.eclipse.ui that return IFile
Modifier and Type
Method
Description
`IFile`
IFileEditorInput.`getFile()`
Returns the file resource underlying this editor input.

## Uses of IFile in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions that return IFile
Modifier and Type
Method
Description
`protected IFile`
CopyFilesAndFoldersOperation.`getFile(IResource resource)`
Returns the resource either casted to or adapted to an IFile.

## Uses of IFile in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return IFile
Modifier and Type
Method
Description
`protected IFile`
WizardNewFileCreationPage.`createFileHandle(IPath filePath)`
Creates a file resource handle for the file with the given workspace path.
`IFile`
WizardNewFileCreationPage.`createNewFile()`
Creates a new file resource in the selected container and with the selected name.
Methods in org.eclipse.ui.dialogs with parameters of type IFile
Modifier and Type
Method
Description
`protected void`
WizardNewFileCreationPage.`createFile(IFile fileHandle, InputStream contents, IProgressMonitor monitor)`
Deprecated.
As of 3.3, use or override `WizardNewFileCreationPage.createNewFile()` which uses the undoable operation support.
`void`
SaveAsDialog.`setOriginalFile(IFile originalFile)`
Sets the original file to use.

## Uses of IFile in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IFile
Modifier and Type
Method
Description
`protected IFile[]`
FileBufferOperationAction.`collectFiles(IResource[] resources)`
Collect the files to process.
`protected IFile[]`
FileBufferOperationHandler.`collectFiles(IResource[] resources)`
Collects the files out of the given resources.
`protected IFile`
FileDocumentProvider.FileSynchronizer.`getFile()`
Returns the file wrapped by the file editor input.
Methods in org.eclipse.ui.editors.text with parameters of type IFile
Modifier and Type
Method
Description
`protected IAnnotationModel`
TextFileDocumentProvider.`createAnnotationModel(IFile file)`
Creates and returns the annotation model for the given file.
`protected void`
TextFileDocumentProvider.`createFileFromDocument(IProgressMonitor monitor, IFile file, IDocument document)`
Creates the given file with the given document content.
`protected final void`
FileBufferOperationAction.`doRun(IFile[] files, IPath location, IFileBufferOperation fileBufferOperation)`
`protected final void`
FileBufferOperationHandler.`doRun(IFile[] files, IPath location, IFileBufferOperation fileBufferOperation)`
Runs the given operation.
`protected final IPath[]`
FileBufferOperationAction.`generateLocations(IFile[] files, IProgressMonitor progressMonitor)`
`protected final IPath[]`
FileBufferOperationHandler.`generateLocations(IFile[] files, IProgressMonitor progressMonitor)`
Generates the file buffer locations out of the given files.
`protected void`
FileDocumentProvider.`readUTF8BOM(IFile file, String encoding, Object element)`
Deprecated.
as of 3.0 this method is no longer in use and does nothing
`protected void`
FileDocumentProvider.`refreshFile(IFile file)`
Refreshes the given file resource.
`protected void`
FileDocumentProvider.`refreshFile(IFile file, IProgressMonitor monitor)`
Refreshes the given file resource.

## Uses of IFile in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide that return IFile
Modifier and Type
Method
Description
`static IFile`
ResourceUtil.`getFile(Object element)`
Returns the file corresponding to the given model element, or `null` if there is no applicable file.
`static IFile`
ResourceUtil.`getFile(IEditorInput editorInput)`
Returns the file corresponding to the given editor input, or `null` if there is no applicable file.
Methods in org.eclipse.ui.ide with parameters of type IFile
Modifier and Type
Method
Description
`static IEditorPart`
ResourceUtil.`findEditor(IWorkbenchPage page, IFile file)`
Returns the editor in the given page whose input represents the given file, or `null` if there is no such editor.
`static IContentType`
IDE.`getContentType(IFile file)`
Return the content type for the given file.
`static IEditorDescriptor`
IDE.`getDefaultEditor(IFile file)`
Returns the default editor for a given file.
`static IEditorDescriptor`
IDE.`getDefaultEditor(IFile file, boolean determineContentType)`
Returns the default editor for a given file.
`static IEditorDescriptor`
IDE.`getEditorDescriptor(IFile file)`
Deprecated.
Since 3.12, use `IDE.getEditorDescriptor(IFile, boolean, boolean)`
`static IEditorDescriptor`
IDE.`getEditorDescriptor(IFile file, boolean determineContentType)`
Deprecated.
Since 3.12, use `IDE.getEditorDescriptor(IFile, boolean, boolean)` instead.
`static IEditorDescriptor`
IDE.`getEditorDescriptor(IFile file, boolean determineContentType, boolean allowInteractive)`
Returns an editor descriptor appropriate for opening the given file resource.
`static IContentType`
IDE.`guessContentType(IFile file)`
Guess at the content type of the given file based on the filename.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, boolean activate)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, boolean activate, boolean determineContentType)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, String editorId)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, String editorId, boolean activate)`
Opens an editor on the given file resource.
`static IEditorReference[]`
IDE.`openEditors(IWorkbenchPage page, IFile[] inputs)`
Opens editors on given file resources.
`static void`
IDE.`setDefaultEditor(IFile file, String editorID)`
Sets the default editor id for a given file.

## Uses of IFile in org.eclipse.ui.ide.undo

Constructors in org.eclipse.ui.ide.undo with parameters of type IFile
Modifier
Constructor
Description
``
`CreateFileOperation(IFile fileHandle, URI linkLocation, InputStream contents, String label)`
Create a CreateFileOperation

## Uses of IFile in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return IFile
Modifier and Type
Method
Description
`IFile`
FileEditorInput.`getFile()`
Methods in org.eclipse.ui.part with parameters of type IFile
Modifier and Type
Method
Description
`static boolean`
FileEditorInput.`isLocalFile(IFile file)`
Return whether or not file is local.
Constructors in org.eclipse.ui.part with parameters of type IFile
Modifier
Constructor
Description
``
`FileEditorInput(IFile file)`
Creates an editor input based of the given file resource.
``
`FileInPlaceEditorInput(IFile file)`
Creates an in-place editor input based on a file resource.

## Uses of IFile in org.eclipse.ui.views.properties

Constructors in org.eclipse.ui.views.properties with parameters of type IFile
Modifier
Constructor
Description
``
`FilePropertySource(IFile file)`
Creates an property source for a file resource.

## Uses of IFile in org.eclipse.ui.wizards.datatransfer

Methods in org.eclipse.ui.wizards.datatransfer that return IFile
Modifier and Type
Method
Description
`IFile`
RecursiveFileFinder.`getFile()`
Methods in org.eclipse.ui.wizards.datatransfer that return types with arguments of type IFile
Modifier and Type
Method
Description
`Set<IFile>`
RecursiveFileFinder.`getFiles()`